unit Sakktabl;

interface

uses
  SysUtils, Types, Classes, QGraphics, Unit2,
  QControls, QForms, QDialogs, QGrids;

type
  TSakktabla = class(TDrawGrid)
  private
    { Private declarations }
  FKijelolt: TPoint;
  constructor Create(Owner: TComponent);
  procedure SetKijelolt(P: TPoint);
  protected
    { Protected declarations }
  public
    { Public declarations }
  property Kijelolt: TPoint read FKijelolt write SetKijelolt;
  published
    { Published declarations }
  end;

procedure Register;

implementation

constructor TSakktabla.Create(Owner: TComponent);
begin
  inherited Create(Owner);
  Width := 65;
  Height := 65;
  DefaultColWidth := 56;
  DefaultRowHeight := 56;
  RowCount := 6;
  FixedCols := 0;
  FixedRows := 0;
  GridLineWidth := 0;
  Kijelolt := Point(-1,-1);
end;

procedure TSakktabla.SetKijelolt;
begin
  FKijelolt := P;
end;

procedure Register;
begin
  RegisterComponents('Additional', [TSakktabla]);
end;

end.
